0

I have php 5.2.2

I have followed all the instructions for installing the mcrypt extenstion (changed php.ini to add the mcrypt extension which phpinfo.php says is installed:
"mcrypt support enabled
Version 2.5.7
Api No 20021217
Supported ciphers cast-128 gost rijndael-128 twofish arcfour cast-256 loki97 rijndael-192 saferplus wake blowfish-compat des rijndael-256 serpent xtea blowfish enigma rc2 tripledes
Supported modes cbc cfb ctr ecb ncfb nofb ofb stream"

but I still get the "call to undefined function" message when trying to use an mcrypt function.

I can only assume that the libmcrypt.dll I have is not the required Version 2.5.6 or greater. Can someone who has mcrypt successfully running with php5 tell me where I can find the correct version of libmcrypt.dll?

I have the correct extension path set in php.ini and can find no other reason for this not to be working already.

Thanks for any help

2
Contributors
2
Replies
4
Views
8 Years
Discussion Span
Last Post by ric1950
0

Read http://in.php.net/mcrypt.

This is part of what I have consulted and followed so far - still not working. How do you know what version of libmcrpt.dll you have? The date of the file on the link given for Windows users seems to be dated earlier than php5.

This topic has been dead for over six months. Start a new discussion instead.
Have something to contribute to this discussion? Please be thoughtful, detailed and courteous, and be sure to adhere to our posting rules.